## kf6-qqc2-desktop-style 6.6.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:20 +0100

kf6-qqc2-desktop-style (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:31 +0100

kf6-qqc2-desktop-style (6.4.0-0ubuntu2) oracular; urgency=medium

  * Add Breaks/Replaces in qml6-module-org-kde-desktop against
    qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~) because of conflicting
    translations files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 17 Jul 2024 11:08:02 +0100

kf6-qqc2-desktop-style (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:50 +0100
