=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkirigami-dev (>= 6.6.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6colorscheme-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6iconthemes-dev (>= 6.9.0~),
+               libkirigami-dev (>= 6.9.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet (>= 6.6.0~) <!nocheck>,
+               qml6-module-org-kde-sonnet (>= 6.9.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -58,17 +59,8 @@
 Package: qml6-module-org-kde-desktop
 Architecture: any
 Depends: libkf6qqc2desktopstyle-data,
-         qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-sonnet,
-         qml6-module-qtqml,
-         qml6-module-qtqml-models,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         qml6-module-qtquick-templates,
-         qml6-module-qtquick-tooling,
-         qml6-module-qtquick-window,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
 Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
