## kf6-qqc2-desktop-style 6.10.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:26:51 +0100

kf6-qqc2-desktop-style (6.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * QML modules are needed for dh_qmldeps not only for check.
  * Cleanup explicit QML module list, as dev packages ship them
    directly.

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 19:03:20 +0100

kf6-qqc2-desktop-style (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:46:53 +0100

kf6-qqc2-desktop-style (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600
