## kf6-qqc2-desktop-style 6.11.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:47 +0100
