=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                dbus-x11,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6colorscheme-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6iconthemes-dev (>= 6.11.0~),
+               libkirigami-dev (>= 6.11.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-org-kde-sonnet,
