=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/qqc2-desktop-style@ANY_VERSION@@ARCHIVE_EXT@
