=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: kf6-qqc2-desktop-style
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-x11,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6colorscheme-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6iconthemes-dev (>= 6.13.0~),
-               libkirigami-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6iconthemes-dev (>= 6.16.0~),
+               libkirigami-dev (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet,
+               qml6-module-org-kde-sonnet (>= 6.16.0~) <!nocheck>,
+               qml6-module-qtqml-workerscript <!nocheck>,
+               qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -25,10 +28,10 @@
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
 Rules-Requires-Root: no
 
 Package: libkf6qqc2desktopstyle-data
@@ -59,6 +62,8 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
+Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
+Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop
