## kf6-qqc2-desktop-style 6.17.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 21:37:41 +0100

kf6-qqc2-desktop-style (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:25 +0100
