=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6iconthemes-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6colorscheme-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6iconthemes-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet (>= 6.16.0~) <!nocheck>,
+               qml6-module-org-kde-sonnet (>= 6.17.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
