## kf6-qqc2-desktop-style 6.18.0+p24.04+vstable+git20250921.0208

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
@@ -93,7 +93,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.18.0
 )
 
 add_subdirectory(plugin)
