## kf6-qqc2-desktop-style 6.18.0+p24.04+vstable+git20251005.0948

=== debian/changelog ===
kf6-qqc2-desktop-style (6.18.0+p24.04+vstable+git20251005.0948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 09:48:39 +0000
